<?php
// $Id: og.author-pane.inc,v 1.1.2.2.2.1 2009/09/20 02:35:03 michellec Exp $

/**
 * @file
 *   This file provides a preprocess function on behalf of the OG module.
 */

/**
 * Implementation of hook_preprocess_author_pane().
 */
function og_preprocess_author_pane(&$variables) {
  // We may want to disable this resource intensive preprocess for some
  // or all callers.
  if (!author_pane_run_preprocess($module, $variables['caller'])) {
    return;
  }
  
  $account = $variables['account'];
  if (isset($account->og_groups) && !empty($account->og_groups)) {
    $groups = array();
    
    // Check if there is the potential for private groups on the site to
    // avoid needless node loads on sites with no private gorups.
    $has_private = module_exists('og_access');
    foreach ($account->og_groups as $og_id => $og) {
      if ($has_private) {
        $og_node = node_load($og['nid']) ;
        if (!$og_node->og_private) {
          $groups[] = l($og['title'], 'node/' . $og['nid']);
        }  
      } else {
        $groups[] = l($og['title'], 'node/' . $og['nid']);
      }
    }

    $variables['og_groups_array'] = $groups;
    $variables['og_groups'] = implode(', ', $groups);
  }
  else {
    $variables['og_groups'] = t('None');
  }
}
